package com.yonge.cooleshow.biz.dal.entity;

import com.baomidou.mybatisplus.annotation.*;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import java.io.Serializable;
import java.util.Date;
import com.fasterxml.jackson.annotation.JsonFormat;
import org.springframework.format.annotation.DateTimeFormat;

/**
 * 学生关注教师表
 */
@TableName("student_star")
@ApiModel(value = "StudentStar对象", description = "学生关注教师表")
public class StudentStar implements Serializable {
	private static final long serialVersionUID = 1L;
    /** 
    * 老师id 
    */
    @ApiModelProperty("老师id ")
    @TableField("teacher_id_")
    private Long teacherId;
    /** 
    * 学生id 
    */
    @ApiModelProperty("学生id ")
    @TableField("student_id_")
    private Long studentId;
	@TableField(value = "create_time_")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss",timezone="GMT+8")
    private Date createTime;

    public Long getTeacherId() {
        return teacherId;
    }

    public void setTeacherId(Long teacherId) {
        this.teacherId = teacherId;
    }

    public Long getStudentId() {
        return studentId;
    }

    public void setStudentId(Long studentId) {
        this.studentId = studentId;
    }

    public Date getCreateTime() {
        return createTime;
    }

    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

}